package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

/**
 * 修复考勤方式  SIGN_IN签到，SIGN_OUT签退，ALL所有
 */
public enum UpdateAttendanceEnum implements BaseEnum<String, UpdateAttendanceEnum> {
	SIGN_IN("SIGN_IN", "签到"),
	SIGN_OUT("SIGN_OUT", "签退"),
	ALL("ALL", "所有");

	private String code;

	private String msg;

	UpdateAttendanceEnum(String code, String msg) {
		this.code = code;
		this.msg = msg;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	@Override
	public String getCode() {
		return this.code;
	}
}
